#!/bin/sh
# ilan-enable.sh - enables IPMI LAN with some default parameters
#   Usage: $0 <passwd> <ipaddr> [subnet] [gateway]
#
user=ADMIN
pswd=ADMIN
ipaddr=192.168.101.101
subnet=255.255.255.0
gwy=192.168.1.1
gwyopt=" "
usropt=" "
dosol=1

argc=$#
if [ $argc -ge 1 ]; then
  if [ "x$1" = "xhelp" ]; then
     echo "Usage: $0 <passwd> <ipaddr> [subnet] [gateway]"
     exit 1
  fi
  # Only support ADMIN user without special enabling
  # user=$1
  # if [ "x$1" != "xADMIN" ]; then
  #    usropt="-q 3"
  # fi
  pswd=$1
  if [ $argc -ge 2 ]; then
     ipaddr=$2
     if [ $argc -ge 3 ]; then
        subnet=$3
     fi
     if [ $argc -ge 4 ]; then
        gwy=$4
        gwyopt="-G $gwy"
     fi
  fi
fi
ipmiutil lan -e -I $ipaddr -S $subnet -u $user -p $pswd -y 2 $gwyopt $usropt

if [ $dosol -eq 1 ]; then
  # enable getty from SOL console
  which initctl  >/dev/null 2>&1
  if [ $? -eq 0 ]; then
    initctl start serial DEV=ttyS2 SPEED=11520
  else
    # uname -a |grep el5
    echo "co:2345:respawn:/sbin/agetty -h -L 115200 ttyS2 vt100" >>/etc/inittab
  fi
fi

