#!/bin/sh
#  itemp.sh - check and log temperature warnings
log=/var/log/temperature.log
thresh=50

export PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/bin:/usr/bp/bin:/usr/bp/lib/shlib:/root/bin:/usr/local/pgsql/bin

now=`date '+%m/%d/%Y %H:%M:%S'`
dmidecode |grep -q IPMI
if [ $? -eq 0 ]; then
  echo -n "$now " >>$log
  ipmiutil sensor -g temp -c |grep System >>$log
  temp=`ipmiutil sensor -g temp -c |grep System |cut -f7 -d'|' |awk '{ print $1 }' |cut -f1 -d'.'`
  if [ $temp -ge $thresh ]; then
     echo "$now WARNING: IPMI System Temp is $temp (over $thresh)" >>$log
     ipmiutil sel -i "TempHi$temp "
     # /usr/bp/bin/send_notification.php 156 IPMI "Temperature is $temp C, above threshold of $thresh C."
  fi
else
  sensors-detect <<-EOF >/dev/null 2>&1










EOF
  sensors 2>&1 |grep -q 'No sensors found'
  if [ $? -ne 0 ]; then
    tmpS=/tmp/sensors.out$$
    echo -n "$now " >>$log
    sensors >$tmpS 2>&1
    grep -q "temp.:" $tmpS
    if [ $? -eq 0 ]; then
       grep 'temp.:' $tmpS >>$log
       temp=`grep "temp.:" $tmpS|tail -n1 |awk '{ print $2 }' |sed -e 's/+//'| cut -f1 -d'.'`
    else
       grep 'Temperature' $tmpS >>$log
       temp=`grep "Temperature:" $tmpS |tail -n1 |cut -f2 -d':'|awk '{ print $1 }' |sed -e 's/+//'| cut -f1 -d'.'`
    fi
	echo "" >>$log
    rm -f $tmpS
    if [ $temp -ge $thresh ]; then
       echo "$now WARNING: lm_sensors Temp is $temp (over $thresh)" >>$log
       # /usr/bp/bin/send_notification.php 156 IPMI "Temperature is $temp C, above threshold of $thresh C."
    fi
  fi
fi
